package com.hw.ems.record.service;

import com.hw.ems.record.domain.RecordWaterInstant;

import java.util.List;


/**
 * 水实时数据Service接口
 *
 * @author YinQ
 * @date 2023-04-08
 */
public interface IRecordWaterInstantService
{
    /**
     * 查询水实时数据
     *
     * @param objid 水实时数据主键
     * @return 水实时数据
     */
    public RecordWaterInstant selectRecordWaterInstantByObjid(Long objid);

    /**
     * 查询水实时数据列表
     *
     * @param recordWaterInstant 水实时数据
     * @return 水实时数据集合
     */
    public List<RecordWaterInstant> selectRecordWaterInstantList(RecordWaterInstant recordWaterInstant);

    /**
     * 新增水实时数据
     *
     * @param recordWaterInstant 水实时数据
     * @return 结果
     */
    public int insertRecordWaterInstant(RecordWaterInstant recordWaterInstant);

    /**
     * 修改水实时数据
     *
     * @param recordWaterInstant 水实时数据
     * @return 结果
     */
    public int updateRecordWaterInstant(RecordWaterInstant recordWaterInstant);

    /**
     * 批量删除水实时数据
     *
     * @param objids 需要删除的水实时数据主键集合
     * @return 结果
     */
    public int deleteRecordWaterInstantByObjids(String objids);

    /**
     * 删除水实时数据信息
     *
     * @param objid 水实时数据主键
     * @return 结果
     */
    public int deleteRecordWaterInstantByObjid(Long objid);

    /**
     * 实时数据
     * @param recordWaterInstant
     * @return
     */
    List<RecordWaterInstant> instantList(RecordWaterInstant recordWaterInstant);

    /**
     * 获取最新实时电数据
     * @param recordWaterInstant
     * @return
     */
    List<RecordWaterInstant> selectRealTimeParentList(RecordWaterInstant recordWaterInstant);

    /**
     * 表具实时状态
     * @param waterInstant
     * @return
     */
    RecordWaterInstant tablewareDetailsInfo(RecordWaterInstant waterInstant);
}
